Data.Iteratee.Iteratee

# Types

type EnumerateeHandler eli elo m a

## Error handling

throwErr

throwRecoverableErr

checkErr

## Basic Iteratees

identity

skipToEof

isStreamFinished

## Chunkwise Iteratees

mapChunksM_

foldChunksM

getChunk

getChunks

## Nested iteratee combinators

mapChunks

mapChunksM

convStream

unfoldConvStream

unfoldConvStreamCheck

joinI

joinIM

# Enumerators

type Enumerator s m a

type Enumeratee sFrom sTo m a

## Basic enumerators

enumChunk

enumEof

enumErr

enumPure1Chunk

enumList

enumCheckIfDone

enumFromCallback

enumFromCallbackCatch

## Enumerator Combinators

(>>>)

eneeCheckIfDone

eneeCheckIfDoneHandle

eneeCheckIfDoneIgnore

eneeCheckIfDonePass

mergeEnums

## Enumeratee Combinators

($=)

(=$)

(><>)

(<><)

# Misc.

seek

type FileOffset

# Classes